﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace DoubleDeckerBus
{
    [Serializable]
    internal class BusNotFoundException : ApplicationException
    {
        public BusNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public BusNotFoundException() : base() { }
        public BusNotFoundException(string message) : base(message) { }
        public BusNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected BusNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
