﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DoubleDeckerBus
{
    internal interface IDrawingObject
    {
        public DrawingBus getBus();
        public float Step { get; }

        void SetObject(int x, int y, int width, int height);

        void MoveObject(Direction direction);

        void DrawingObject(Graphics g);

        (float Left, float Right, float Top, float Bottom) GetCurrentPosition();

        string GetInfo();
    }
}
